Skip to main content
`Ctrl`+`K`

# TSSetTimeStep

Allows one to reset the timestep at any time, useful for simple pseudo-timestepping codes.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetTimeStep(TS ts, PetscReal time_step)

Logically Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- time_step - the size of the timestep

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSPSEUDO`, `TSGetTimeStep()`, `TSSetTime()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/tao/unconstrained/tutorials/burgers_spectral.c
src/ts/tutorials/ex15.c
src/ts/tutorials/ex16fwd.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ts/tutorials/ex1.c
src/ts/tutorials/ex17.c
src/ts/tutorials/ex12.c
src/ts/tutorials/ex13.c
src/ts/tutorials/ex11_sa.c
src/ts/tutorials/ex16.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages